<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddUserReq StructType
 * @subpackage Structs
 */
class AddUserReq extends APIRequest
{
    /**
     * The user
     * @var XUser
     */
    public $user;
    /**
     * Constructor method for AddUserReq
     * @uses AddUserReq::setUser()
     * @param XUser $user
     */
    public function __construct(XUser $user = null)
    {
        $this
            ->setUser($user);
    }
    /**
     * Get user value
     * @return XUser|null
     */
    public function getUser()
    {
        return $this->user;
    }
    /**
     * Set user value
     * @param XUser $user
     * @return AddUserReq
     */
    public function setUser(XUser $user = null)
    {
        $this->user = $user;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddUserReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
